### Signal

# Clutter GestureAction::gesture-begin

#### Declaration

    gboolean
    gesture_begin (
      ClutterGestureAction* self,
      ClutterActor* actor,
      gpointer user_data
    )

#### Description [src]

The signal is emitted when the `ClutterActor` to which a `ClutterGestureAction` has been applied starts receiving a gesture.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` attached to the `action`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the gesture should start, and `FALSE` if the gesture should be ignored.